<?php
/**
 * Admin Class
 *
 * Handles the Admin side functionality of plugin
 *
 * @package Popup Anything on click
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
} ?>

<div id="paoc_welcome_tabs" class="paoc-vtab-cnt paoc_welcome_tabs paoc-clearfix">	

	<div class="popupaoc-solutions-section popupaoc-top-rsn popupaoc-left">
		<h1 class="popupaoc-heading">Top 4 Reasons Why People Love <span class="popupaoc-blue">PopupAnything</span> Including in <span class="popupaoc-blue">Essential Plugin Bundle</span></h1>
		<div class="popupaoc-sf-cont popupaoc-center">Here's why business owners <span class="popupaoc-blue">love PopupAnything</span>, and you will too!</div>
		<div class="popupaoc-solutions-section-inr">
			<div class="popupaoc-solutions-box-wrap">
				<div class="popupaoc-solutions-box-grid">
					
					<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/model-popup.png" alt="model-popup" />
				</div>
				<div class="popupaoc-solutions-box-grid">
					<div class="popupaoc-feature__text">
						<h3>Display Popup On Right Time</h3>
						<p>Show a popup of any action on your website, including <span class="popupaoc-blue">Welcome, Exit Intent, Bar, Referrer , UTM, Schedule Slide In, Fullscreen</span>, and more. Convert any link, button or image into a popup. </p>
					</div>
				</div>
			</div>
			<div class="popupaoc-solutions-box-wrap">
				<div class="popupaoc-solutions-box-grid">
					<div class="popupaoc-feature__text">
						<h3>Save Your Cart Abandonment Rate</h3>
						<p>Show your <span class="popupaoc-blue">popup alert or message</span> when any user try to leave your website on <span class="popupaoc-blue">checkout page</span>. Attract them with some offer. Detects user's mouse behavior and show them a targeted message as they are leaving.</p>
					</div>
				</div>
				<div class="popupaoc-solutions-box-grid">
					<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/checkout.png" alt="Checkout" />
				</div>
			</div>
			<div class="popupaoc-solutions-box-wrap">
				<div class="popupaoc-solutions-box-grid">
					<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/mail-popup.png" alt="mail-popup" />
				</div>
				<div class="popupaoc-solutions-box-grid">
					<div class="popupaoc-feature__text">
						<h3>Increase Your E-Mail Marketing</h3>
						<p>Show <span class="popupaoc-blue">subscription form on popup, when user reading your blog, on welcome screen</span>. Like this you can collect the mail ids of users and target them with any email marketing tool. </p>
					</div>
				</div>
			</div>
			<div class="popupaoc-solutions-box-wrap">
				<div class="popupaoc-solutions-box-grid">
					<div class="popupaoc-feature__text">
						<h3>Popup Based on Geo-Location Vise</h3>
						<p>Show <span class="popupaoc-blue">diffrent popup for diffrent location</span>. Improve conversions by personalizing campaigns based on visitor's location.</p>
					</div>
				</div>
				<div class="popupaoc-solutions-box-grid">
					<img src="<?php echo esc_url( POPUPAOC_URL ); ?>assets/images/geo-location.png" alt="popup-design" />
				</div>
			</div>
		</div>
		<div style="margin-top: 15px; text-transform: uppercase; text-align:center;">
			<a href="<?php echo esc_url( $popup_add_link ); ?>" class="popupaoc-sf-btn">Launch Popup With Free Features</a>
		</div>
	</div>
</div>